最新版のphpmyadmin3.2はphp5.2が必須とのことなので諦め

公式から「phpMyAdmin-2.11.9.5-all-languages.zip」をDL
phpMyAdmin - Download


追記:もう公式にもないからこっちから
http://sourceforge.net/projects/phpmyadmin/files/phpMyAdmin/2.11.11.3/
mysql4にはphpMyAdminは2系ね。うん。

参考にしたページ↓
via
CentOS5 phpMyAdmin2.11インストール - ハマった。by MSG


僕の場合は、「config.sample.inc.php」の

$cfg[blowfish_secret] = ;
$cfg[Servers][$i][controluser] = user name;
$cfg[Servers][$i][controlpass] = password;

この設定しただけで動いた。